aboutsummaryrefslogtreecommitdiff
path: root/dev/libs/libgpg-error/libgpg-error.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev/libs/libgpg-error/libgpg-error.SlackBuild')
-rwxr-xr-xdev/libs/libgpg-error/libgpg-error.SlackBuild22
1 files changed, 18 insertions, 4 deletions
diff --git a/dev/libs/libgpg-error/libgpg-error.SlackBuild b/dev/libs/libgpg-error/libgpg-error.SlackBuild
index 2fb32691..bcc0d2c4 100755
--- a/dev/libs/libgpg-error/libgpg-error.SlackBuild
+++ b/dev/libs/libgpg-error/libgpg-error.SlackBuild
@@ -42,8 +42,8 @@ PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
-CONF_OPTIONS=${CONF_OPTIONS:=}
-NUMJOBS=${NUMJOBS:=-j4}
+CONF_OPTIONS=${CONF_OPTIONS:=--infodir=$PREFIX/info --enable-shared=yes --enable-static=no}
+NUMJOBS=${NUMJOBS:=-j6}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -113,6 +113,20 @@ cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+# Fix source files' ownership and permission
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -120,7 +134,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
-make "$NUMJOBS" || exit $ERROR_MAKE
+make $NUMJOBS || exit $ERROR_MAKE
# Install
make install DESTDIR="$PKG" || exit $ERROR_INSTALL
@@ -149,7 +163,7 @@ cat << EODESC > "$PKG/install/slack-desc"
# customary to leave one space after the ':'.
|-----handy-ruler--------------------------------------------------|
-libgpg-error: libgpg-error
+libgpg-error: libgpg-error (GnuPG Error Definitions Library)
libgpg-error:
libgpg-error: Libgpg-error is a small library that defines common error values
libgpg-error: for all GnuPG components. Among these are GPG, GPGSM, GPGME,